
Ruby - Bug #10029

miss probes.h when nmake

07/11/2014 08:10 AM - sevk (kk kk)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: 2.1.2 Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

G:\ruby-2.1.2>nmake

Microsoft (R) Program Maintenance Utility   Version 6.00.8168.0

Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

        CC = cl -nologo

        LD = cl -nologo

        LDSHARED = cl -nologo -LD

        CFLAGS = -MD -Zi -W2 -O2b2xg- -G6 -Zm600

        XCFLAGS = -DRUBY_EXPORT -I. -I.ext/include/i386-mswin32 -I./include -I.

-I./missing

        CPPFLAGS =

        DLDFLAGS = -incremental:no -debug -opt:ref -opt:icf -dll

        SOLIBS =

Creating config.h

.ext\include\i386-mswin32\ruby\config.h unchanged

Creating config.status

compiling array.c

array.c

array.c(19) : fatal error C1083: Cannot open include file: 'probes.h': No such f

ile or directory

NMAKE : fatal error U1077: 'cl' : return code '0x2'

Stop.

History

#1 - 07/11/2014 08:23 AM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Open to Feedback

I can't reproduce your environment.

probes.h should be copied from probes.dmyh.

> nmake array.obj -n

        echo copying dummy probes.h

        if exist probes.dmyh ( @ copy > nul probes.dmyh probes.h ) else ( @ copy > nul ..\src\probes.dmyh prob

es.h )

        echo compiling ../src/array.c

         cl -nologo -MD -Zi -W2 -O2b2xg- -G6 -Zm600 -DRUBY_EXPORT -I. -I.ext/include/i386-mswin32 -I../src/inc

lude -I../src -I../src/missing     -Foarray.obj -c -Tc../src/array.c

#2 - 07/11/2014 08:31 AM - usa (Usaku NAKAMURA)

Nobuyoshi Nakada wrote:

I can't reproduce your environment.

 Me too.

#3 - 07/11/2014 08:50 AM - phasis68 (Heesob Park)

The version 6.00.8168.0 of nmake.exe is a part of Visual Studio 6.0.

It seems that ruby-2.1.2 cannot be built with Visual C++ 6.0.
#4 - 07/11/2014 08:53 AM - sevk (kk kk)

G:\ruby-2.1.2>nmake array.obj -n

Microsoft (R) Program Maintenance Utility   Version 6.00.8168.0

Copyright (C) Microsoft Corp 1988-1998. All rights reserved.

        echo compiling array.c

         cl -nologo -MD -Zi -W2 -O2b2xg- -G6 -Zm600 -DRUBY_EXPORT -I. -I.ext/inc

lude/i386-mswin32 -I./include -I. -I./missing     -Foarray.obj -c -Tcarray.c

 you can install virtualbox and install vc6.0 :)

why my "nmake array.obj -n"  is different from your's ?

#5 - 07/11/2014 11:39 AM - nobu (Nobuyoshi Nakada)

How did you get the source, and what is the exact revision?

#6 - 07/14/2014 01:21 AM - sevk (kk kk)

Nobuyoshi Nakada wrote:

How did you get the source, and what is the exact revision?

 I delete all source, and run nmake array.obj -n ,the result is same to you. fixed.

( I think the reason is I run configure.bat at win32 dir , and I did't know how to clean the config files )

#7 - 07/22/2019 08:39 PM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
